Bug 668154 - [system-config-printer] does not display driver downloads
Summary: [system-config-printer] does not display driver downloads
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 15
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-08 13:47 UTC by Joachim Frieben
Modified: 2011-08-12 18:18 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.3.5-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-12 10:57:28 UTC
Type: ---


Attachments (Terms of Use)
Debug output of s-c-p for HP LaserJet 4000 (8.81 KB, text/plain)
2011-01-08 13:47 UTC, Joachim Frieben
no flags Details
Screenshot of window for selection of downloadable drivers (34.58 KB, image/png)
2011-01-08 13:49 UTC, Joachim Frieben
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Launchpad 695199 0 None None None Never

Description Joachim Frieben 2011-01-08 13:47:57 UTC
Created attachment 472350 [details]
Debug output of s-c-p for HP LaserJet 4000

Description of problem:
After a fresh install from the Fedora "rawhide" tree and installing system-config-printer via 'yum install system-config-printer', s-c-p recognizes make (HP) and model (LaserJet) correctly and suggests to install driver "HP LaserJet Series PCL4/5" from the database. After clicking "Back" and choosing to query for downloadable drivers, drivers are announced to be available but no entry is found in the selection pane.

Version-Release number of selected component (if applicable):
system-config-printer-1.2.95-4.fc15.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Run s-c-p.
2. Query for downloadable drivers.
  
Actual results:
Drivers are announced to be available but not listed.

Expected results:
Available drivers are listed and can be selected.

Additional info:
None.

Comment 1 Joachim Frieben 2011-01-08 13:49:06 UTC
Created attachment 472351 [details]
Screenshot of window for selection of downloadable drivers

Comment 2 Joachim Frieben 2011-07-10 14:14:00 UTC
No improvement for system-config-printer-1.3.3-1.fc15.

Comment 3 Tim Waugh 2011-07-11 09:34:48 UTC
When I commit a fix for it I'll update this bug report.

Comment 4 Tim Waugh 2011-07-12 09:48:12 UTC
Fixed upstream in commit d7f42b3.

When there are no appropriate drivers for a particular printer model (as in this case), that model is not shown in the search results.

Comment 5 Fedora Update System 2011-07-18 11:34:04 UTC
system-config-printer-1.3.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.4-1.fc15

Comment 6 Fedora Update System 2011-07-18 22:25:58 UTC
Package system-config-printer-1.3.4-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.4-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.4-1.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-07-31 03:48:49 UTC
Package system-config-printer-1.3.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.5-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-1.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-08-02 02:01:16 UTC
Package system-config-printer-1.3.5-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.5-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-2.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-08-03 02:30:23 UTC
Package system-config-printer-1.3.5-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.5-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-3.fc15
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-08-12 10:56:21 UTC
system-config-printer-1.3.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-08-12 18:17:44 UTC
system-config-printer-1.3.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.